# HEADER
# FROM        ajones17/frr
FROM        alpine
LABEL maintainer="wolfgang.tremmel@de-cix.net"

# Trigger rebuild
ENV         UPDATED_AT 2018-08-09

# Install Stuff
RUN         	apk update \
		# && apk upgrade \
 		&& apk add supervisor \
			openssh \
			ttyd \
		&& rm -rf /var/cache/apk/*


# ssh
ADD	    academy-keyfile /root/.ssh/id_rsa
ADD	    academy-keyfile.pub /root/.ssh/id_rsa.pub
ADD         known_hosts /root/.ssh/known_hosts
ADD         rc.local /etc/rc.local
ADD         supervisord.conf /etc/supervisord.conf

# Expose ports
EXPOSE 9001 9002 9003 9004 9005 9006 9007 9008 9009 9010 9011 9012 9013 9014 9015 9016 9017 9018 9019 9020

# Command
ENTRYPOINT ["/usr/bin/supervisord", "-c", "/etc/supervisord.conf"]
